org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator

## Class OAuthTokenValidationStubFactory

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator.OAuthTokenValidationStubFactory

- All Implemented Interfaces:
    org.apache.commons.pool.PoolableObjectFactory

      public class OAuthTokenValidationStubFactory
      extends Object
      implements org.apache.commons.pool.PoolableObjectFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthTokenValidationStubFactory(String url, String adminUsername, String adminPassword, Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateObject(Object o)`
    `void` | `destroyObject(Object o)`
    `Object` | `makeObject()`
    `void` | `passivateObject(Object o)`
    `boolean` | `validateObject(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthTokenValidationStubFactory

          public OAuthTokenValidationStubFactory(String url,
                                         String adminUsername,
                                         String adminPassword,
                                         Properties properties)

  - ### Method Detail

    - #### makeObject

          public Object makeObject()
                            throws Exception

      Specified by:
        `makeObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
      Throws:
        `Exception`

    - #### destroyObject

          public void destroyObject(Object o)
                             throws Exception

      Specified by:
        `destroyObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
      Throws:
        `Exception`

    - #### validateObject

          public boolean validateObject(Object o)

      Specified by:
        `validateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`

    - #### activateObject

          public void activateObject(Object o)
                              throws Exception

      Specified by:
        `activateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
      Throws:
        `Exception`

    - #### passivateObject

          public void passivateObject(Object o)
                               throws Exception

      Specified by:
        `passivateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
      Throws:
        `Exception`

Copyright © 2017 WSO2. All rights reserved.